%global PKG_NAME glob2

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:			python-%{PKG_NAME}
Version:	0.4.1
Release:	2%{?dist}
Summary:	An extended version of python's glob

Group:		Applications/System
License:	MIT
URL:			https://github.com/miracle2k/python-glob2/
Source0:	https://github.com/miracle2k/%{name}/archive/v%{version}.tar.gz

BuildArch:			noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools

%description
This is an extended version of Python's builtin glob module which adds: The
ability to capture the text matched by glob patterns, and return those matches
alongside the filenames. recursive '**' globbing syntax, akin for example to
the globstar option of the bash shell. The ability to replace the filesystem
functions used, in order to glob on virtual filesystems.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc TODO README.rst CHANGES
%{python2_sitelib}/%{PKG_NAME}-%{version}-py2.6.egg-info
%{python2_sitelib}/%{PKG_NAME}

%changelog
* Tue Nov 11 2014 Wesley Hearn <whearn@redhat.com> - 0.4.1-2
- Updated summary and description

* Mon Oct 27 2014 Wesley Hearn <whearn@redhat.com> - 0.4.1-1
- Initial package 
